./devel/ocaml-ppx_tools_versioned, Tools for authors of ppx rewriters

[ CVSweb ] [ Homepage ] [ RSS ] [ Required by ] [ Add to tracker ]


Branch: CURRENT, Version: 5.3.0, Package name: ocaml-ppx_tools_versioned-5.3.0, Maintainer: jaapb

Tools for authors of syntactic tools (such as ppx rewriters). This particular
version works with different versions of OCaml.


Required to run:
[lang/ocaml] [devel/ocaml-findlib] [devel/ocaml-migrate-parsetree] [devel/ocaml-dune]

Required to build:
[pkgtools/cwrappers] [misc/ocaml-opaline]

Master sites:

SHA1: beccdd020f08e96685b7e918ba29e3f77d34124a
RMD160: 3d66627f37c032b09087b979e98b8f08e5c17eeb
Filesize: 81.836 KB

Version history: (Expand)


CVS history: (Expand)


   2020-04-03 11:14:57 by Jaap Boender | Files touched by this commit (4) | Package updated
Log message:
Updated devel/ocaml-ppx_tools_versioned to version 5.3.0.

This adds support for OCaml 4.10.
   2019-11-03 11:39:32 by Roland Illig | Files touched by this commit (274)
Log message:
devel: align variable assignments

pkglint -Wall -F --only aligned --only indent -r

No manual corrections.
   2019-07-31 11:15:50 by Jaap Boender | Files touched by this commit (4) | Package updated
Log message:
Updated devel/ocaml-ppx_tools_versioned to version 5.2.3.

This adds support for OCaml 4.08 and 4.09.
   2019-05-21 13:26:33 by Jaap Boender | Files touched by this commit (4) | Package updated
Log message:
Updated devel/ocaml-ppx_tools_versioned to 5.2.2.

Main change is support for OCaml 4.08.
   2019-03-05 17:35:29 by Jaap Boender | Files touched by this commit (3) | Package updated
Log message:
Updated devel/ocaml-ppx_tools_versioned for dune compatibility.

Package is now compatible with dune 1.7; revbump.
   2018-11-27 18:09:01 by Jaap Boender | Files touched by this commit (3) | Package updated
Log message:
Updated devel/ocaml-ppx_tools_versioned to version 5.2.1

Just a minor change here in versions of dependencies. The package also
uses dune now.
   2018-11-12 17:10:29 by Jaap Boender | Files touched by this commit (141) | Package updated
Log message:
Revbumps associated with update of lang/ocaml.
   2018-07-19 15:01:34 by Jaap Boender | Files touched by this commit (4) | Package updated
Log message:
Updated devel/ocaml-ppx_tools_versioned to version 5.2.

There does not seem to be a changelog available, but this version adds
support for OCaml 4.07 and now uses the jbuilder build system.